WordPress 4.9.8 zal geheugen foutmeldingen aanzienlijk verminderen

geheugen foutmeldingen

WordPress 4.9.8 Beta 2 is recentelijk uitgekomen, en hoewel de focus grotendeels zal liggen op de ‘Try Gutenberg’ call-out, bevat deze WordPress update ook een patch voor geheugen foutmeldingen die voor sommige gebruikers een groot probleem waren.

Geheugen foutmeldingen

Sinds WordPress 4.9.7 werd uitgerold, merkten de WordPress.org support forums dat er een toename was in rapportages van foutmeldingen gerelateerd aan geheugenlekkages. Deze werden veroorzaakt door de wp_is_stream functie. het gaat om een PHP bug die gerelateerd is aan de stream-get-wrappers functie. WordPress 4.9.7 zorgde ervoor dat de wp_is_stream() functie vaker werd aangeroepen, waardoor de foutmelding vaker voorkwam.

Patch

Na veel overleg op de fora werd er uiteindelijk een patch gemaakt, die na een testperiode in de WordPress core werd verwerkt. Volgens Gary Pendergast doet de patch het volgende:

Hosting en Webhosting bij Combell

“Vertrekken als het pad geen stream is. Dit is niet perfect: het is nog steeds mogelijk om de PHP bug te triggeren, maar hij reduceert de kans dat de foutmelding wordt weergegeven aanzienlijk. Voor veel WordPress sites (de sites die geen plugins hebben die streams gebruiken), reduceert het de kans tot nul.”

Als je geheugen foutmeldingen bent tegengekomen na het installeren van of upgraden naar WordPress 4.9.7, probeer dan WordPress 4.9.8 Beta 2 te installeren om te zien of dat het probleem oplost.

Open source

De update en de patch laten wederom zien hoe snel een probleem geïdentificeerd kon worden, en hoe core contributors samen werkten met de WordPress community om voor de volgende update een passende oplossing te vinden. Trac ticket #44532 is dan ook een geweldig voorbeeld van hoe het er aan toe kan gaan wanneer open source alle zeilen bijzet.

 

Korting op WordPress handleiding

Geef een reactie